aboutsummaryrefslogtreecommitdiffstats
path: root/coin/provisioning/qtci-linux-Debian-11.6-aarch64/92-sbuild.sh
diff options
context:
space:
mode:
Diffstat (limited to 'coin/provisioning/qtci-linux-Debian-11.6-aarch64/92-sbuild.sh')
-rwxr-xr-x[-rw-r--r--]coin/provisioning/qtci-linux-Debian-11.6-aarch64/92-sbuild.sh72
1 files changed, 23 insertions, 49 deletions
diff --git a/coin/provisioning/qtci-linux-Debian-11.6-aarch64/92-sbuild.sh b/coin/provisioning/qtci-linux-Debian-11.6-aarch64/92-sbuild.sh
index 8392525c..8991bcca 100644..100755
--- a/coin/provisioning/qtci-linux-Debian-11.6-aarch64/92-sbuild.sh
+++ b/coin/provisioning/qtci-linux-Debian-11.6-aarch64/92-sbuild.sh
@@ -1,43 +1,8 @@
#!/usr/bin/env bash
+# Copyright (C) 2021 The Qt Company Ltd.
+# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only
-#############################################################################
-##
-## Copyright (C) 2021 The Qt Company Ltd.
-## Contact: https://www.qt.io/licensing/
-##
-## This file is part of the provisioning scripts of the Qt Toolkit.
-##
-## $QT_BEGIN_LICENSE:LGPL$
-## Commercial License Usage
-## Licensees holding valid commercial Qt licenses may use this file in
-## accordance with the commercial license agreement provided with the
-## Software or, alternatively, in accordance with the terms contained in
-## a written agreement between you and The Qt Company. For licensing terms
-## and conditions see https://www.qt.io/terms-conditions. For further
-## information use the contact form at https://www.qt.io/contact-us.
-##
-## GNU Lesser General Public License Usage
-## Alternatively, this file may be used under the terms of the GNU Lesser
-## General Public License version 3 as published by the Free Software
-## Foundation and appearing in the file LICENSE.LGPL3 included in the
-## packaging of this file. Please review the following information to
-## ensure the GNU Lesser General Public License version 3 requirements
-## will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
-##
-## GNU General Public License Usage
-## Alternatively, this file may be used under the terms of the GNU
-## General Public License version 2.0 or (at your option) the GNU General
-## Public license version 3 or any later version approved by the KDE Free
-## Qt Foundation. The licenses are as published by the Free Software
-## Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
-## included in the packaging of this file. Please review the following
-## information to ensure the GNU General Public License requirements will
-## be met: https://www.gnu.org/licenses/gpl-2.0.html and
-## https://www.gnu.org/licenses/gpl-3.0.html.
-##
-## $QT_END_LICENSE$
-##
-#############################################################################
+set -ex
# Setups sbuild environment
@@ -73,18 +38,27 @@ tee ~/.sbuildrc << EOF
EOF
# Add user group
-sudo sbuild-adduser $LOGNAME
+sudo sbuild-adduser "$LOGNAME"
newgrp sbuild
-# Create chroot
-#sudo sbuild-createchroot --include=eatmydata,ccache,gnupg,ca-certificates stable /srv/chroot/stable-arm64-sbuild http://127.0.0.1:3142/deb.debian.org/debian
-sudo sbuild-createchroot --include=eatmydata,ccache,gnupg,ca-certificates stable /srv/chroot/stable-arm64-sbuild
-
-# Update chroot
-sudo sbuild-update -udcar stable
-
-
-
-
+# Create chroot for debian stable
+sudo sbuild-createchroot --include=eatmydata,ccache,gnupg,ca-certificates stable /srv/chroot/stable-arm64
+echo "Create chroot for Ubuntu Jammy"
+# First we need update the deboostrap scripts
+mkdir -p "$HOME"/deboot
+cd "$HOME"/deboot
+# Orig url http://ftp.fi.debian.org/debian/pool/main/d/debootstrap/debootstrap_1.0.134~bpo12+1.tar.gz
+# we have to update the debootstrap so that sbuild-createroot will recognize jammy code name
+wget http://ci-files01-hki.ci.qt.io/input/debian/debootstrap/debootstrap_1.0.134~bpo12+1.tar.gz
+tar xzvf debootstrap_1.0.134~bpo12+1.tar.gz
+cd debootstrap
+sudo make install
+cd
+rm -rf "$HOME"/deboot
+sudo sbuild-createchroot --include=gnupg,ca-certificates jammy /srv/chroot/jammy-arm64 http://ports.ubuntu.com/ubuntu-ports/
+echo "Done creating chroot for Ubuntu Jammy"
+# Update chroot.
+sudo sbuild-update -udcar stable
+sudo sbuild-update -udcar jammy